I2O_MSG_POST_WAIT(9)

NAME
i2o_msg_post_wait - Post and wait a message and wait until return

SYNOPSIS

int i2o_msg_post_wait(struct i2o_controller * c, struct i2o_message * msg, unsigned long timeout);

ARGUMENTS

c
    controller

msg
    message to post

timeout
    time in seconds to wait

DESCRIPTION

This API allows an OSM to post a message and then be told whether or not the system received a successful reply. If the message times out then the value '-ETIMEDOUT' is returned.

Returns 0 on success or negative error code on failure.

COPYRIGHT